Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.importer
Class ObjectToRecord

    java.lang.Object
      org.makumba.importer.ObjectToRecord

    public class ObjectToRecord

extends Object

This class imports makumba objects from fields of Java objects. Imported classes have the opportunity to say what not to import (field String[] noImport). They can also do post processing (method boolean importTransform(Object o)) and decide (by the boolean result of importTransform) whether the object is written or not in the makumba database.

Author:
  Cristian Bogdan

Field Summary
`(package private) Method` | `clean`
`(package private) boolean` | `cleaned`
`(package private) Hashtable<String,Field>` | `fields`
`(package private) static Integer` | `one`
`(package private) Method` | `transform`
`(package private) DataDefinition` | `type`
`(package private) static Integer` | `zero`

Constructor Summary
`ObjectToRecord(Class<?> c, String type)`

Method Summary
`static void` | `importBoolean(String java, String mdd, Hashtable<String,String> hjava, Hashtable<String,Integer> hmdd, String on)` import a boolean choice from a hashtable
`static void` | `importInteger(String java, String mdd, Hashtable<String,String> hjava, Hashtable<String,Integer> hmdd)` import an integer from a hashtable
`Hashtable<String,Object>` | `importObject(Object o, Database db)`
`static void` | `importString(String java, String mdd, Hashtable<String,String> hjava, Hashtable<String,String> hmdd)` import an string from a hashtable

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transform

    Method transform

### clean

    Method clean

### type

    DataDefinition type

### fields

    Hashtable<String,Field> fields

### cleaned

    boolean cleaned

### zero

    static Integer zero

### one

    static Integer one

Constructor Detail

### ObjectToRecord

    public ObjectToRecord(Class<?> c,
                          String type)

Method Detail

### importObject

    public Hashtable<String,Object> importObject(Object o,
                                                 Database db)

### importInteger

    public static void importInteger(String java,
                                     String mdd,
                                     Hashtable<String,String> hjava,
                                     Hashtable<String,Integer> hmdd)

  import an integer from a hashtable

### importString

    public static void importString(String java,
                                    String mdd,
                                    Hashtable<String,String> hjava,
                                    Hashtable<String,String> hmdd)

  import an string from a hashtable

### importBoolean

    public static void importBoolean(String java,
                                     String mdd,
                                     Hashtable<String,String> hjava,
                                     Hashtable<String,Integer> hmdd,
                                     String on)

  import a boolean choice from a hashtable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20